Package oracle.kv

# Class ValueVersion

java.lang.Object
oracle.kv.ValueVersion

Direct Known Subclasses:
  `ReturnValueVersion`

public class ValueVersion extends Object
Holds a Value and Version that are associated with a given Key.

A ValueVersion instance is returned by methods such as `get` and `multiGet` as the current value and version associated with a given key. The version and value properties will always be non-null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueVersion()`
  Used internally to create an object with null value and version.
  `ValueVersion(Value value, Version version)`
  Used internally to create an object with a value and version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Value`
  `getValue()`
  Returns the Value part of the KV pair.
  `Version`
  `getVersion()`
  Returns the Version of the KV pair.
  `ValueVersion`
  `setValue(Value value)`
  Used internally to initialize the Value part of the KV pair.
  `ValueVersion`
  `setVersion(Version version)`
  Used internally to initialize the Version of the KV pair.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValueVersion

    public ValueVersion()
    Used internally to create an object with null value and version.

  - ### ValueVersion

    public ValueVersion(Value value, Version version)
    Used internally to create an object with a value and version.

- ## Method Details

  - ### getValue

    public Value getValue()
    Returns the Value part of the KV pair.

  - ### getVersion

    public Version getVersion()
    Returns the Version of the KV pair.

  - ### setValue

    public ValueVersion setValue(Value value)
    Used internally to initialize the Value part of the KV pair.

  - ### setVersion

    public ValueVersion setVersion(Version version)
    Used internally to initialize the Version of the KV pair.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`